<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <!-- =============================================================================================================== -->
    <!--                                               PROJECT INFORMATION                                               -->
    <!-- =============================================================================================================== -->

    <!-- ============================================= PARENT INFORMATION ============================================== -->
    <parent>
        <artifactId>libraryservice</artifactId>
        <groupId>org.openclassroom.projet</groupId>
        <version>2.0.0</version>
    </parent>

    <!-- ============================================== MAVEN INFORMATION ============================================== -->
    <artifactId>libraryservice-consumer</artifactId>
    <version>2.0.0</version>
    <packaging>jar</packaging>

    <!-- ============================================= GENERAL INFORMATION ============================================= -->
    <name>libraryservice-consumer</name>


    <!-- =============================================================================================================== -->
    <!--                                                   PROPERTIES                                                    -->
    <!-- =============================================================================================================== -->
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <java.version>1.8</java.version>
    </properties>


    <!-- =============================================================================================================== -->
    <!--                                                  DEPENDENCIES                                                   -->
    <!-- =============================================================================================================== -->
    <dependencies>
        <!-- ========================================== Modules ==================================================== -->
        <dependency>
            <groupId>org.openclassroom.projet</groupId>
            <artifactId>libraryservice-model</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openclassroom.projet</groupId>
            <artifactId>libraryservice-technical</artifactId>
        </dependency>

        <!-- ==================================== Third Party Libraries ============================================ -->

        <!-- Spring Data JPA -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-jpa</artifactId>
        </dependency>

        <!-- JSR-330 -->
        <dependency>
            <groupId>javax.inject</groupId>
            <artifactId>javax.inject</artifactId>
        </dependency>
    </dependencies>
</project>
